Bug 1662543 - xemacs warns about superfluous arguments on batch start-up
Summary: xemacs warns about superfluous arguments on batch start-up
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xemacs
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-29 17:14 UTC by Tim Landscheidt
Modified: 2019-03-29 19:19 UTC (History)
2 users (show)

Fixed In Version: xemacs-21.5.34-33.20190323hgc0ed7ef9a5a1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-29 19:19:57 UTC
Type: Bug


Attachments (Terms of Use)
Patch to fix XEmacs debug-paths output warnings. (1.63 KB, patch)
2018-12-29 17:14 UTC, Tim Landscheidt
no flags Details | Diff

Description Tim Landscheidt 2018-12-29 17:14:24 UTC
Created attachment 1517365 [details]
Patch to fix XEmacs debug-paths output warnings.

When started with "-batch", xemacs complains about superfluous arguments each time:

| [tim@passepartout ~]$ xemacs -batch

|   Loading /usr/share/xemacs/site-packages/lisp/site-start.d/rpmdev-init.el...
|   Loading leim-list...
| Info: Format string "configure-module-directory and module-directory:
| %S
| " takes 1 arguments, 2 supplied.
| Info: Format string "configure-last-package-directories, last-package-hierarchies and last-package-load-path:
| %S
| %S
| " takes 2 arguments, 3 supplied.
| Info: Format string "configure-late-package-directories, late-package-hierarchies and late-package-load-path:
| %S
| %S
| " takes 2 arguments, 3 supplied.
| [tim@passepartout ~]$

The attached patch (-p5) fixes this.

(I don't use Mercurial, but it appears that this code was added in 2007.)

Comment 1 Tim Landscheidt 2019-01-07 19:38:30 UTC
(I wouldn't mind if those debug messages would go completely; I find them very distracting.)

Comment 2 Tim Landscheidt 2019-01-09 06:32:54 UTC
(Apparently, the value of debug-paths, set by the environment variable EMACSDEBUGPATHS to t during make, is baked into xemacs which on the other hand forgets it after start-up:

| [tim@passepartout ~]$ xemacs -batch -eval '(message "debug-paths = %S" debug-paths)'

|   Loading /usr/share/xemacs/site-packages/lisp/site-start.d/rpmdev-init.el...
|   Loading leim-list...
| Info: Format string "configure-module-directory and module-directory:
| %S
| " takes 1 arguments, 2 supplied.
| Info: Format string "configure-last-package-directories, last-package-hierarchies and last-package-load-path:
| %S
| %S
| " takes 2 arguments, 3 supplied.
| Info: Format string "configure-late-package-directories, late-package-hierarchies and late-package-load-path:
| %S
| %S
| " takes 2 arguments, 3 supplied.
| debug-paths = nil
| [tim@passepartout ~]$

So there seems to be no way to disable that debug output at run-time :-(.)

Comment 3 Jerry James 2019-02-19 16:15:25 UTC
Sorry for the silence, Tim.  My Fedora time has been taken up with gap and sagemath updates, and now I've got a bunch of packages that failed the mass rebuild.  I'm afraid that I am not going to get around to this very soon.  If you would like to step in and fix it, be my guest.

Comment 4 Fedora Update System 2019-03-24 04:00:32 UTC
xemacs-packages-base-20180610-1.fc30 xemacs-21.5.34-33.20190323hgc0ed7ef9a5a1.fc30 xemacs-packages-extra-20190315-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ff0e3b37c3

Comment 5 Jerry James 2019-03-24 04:02:27 UTC
I committed your patch upstream, with attribution to you.  It is part of the tarball for the build referenced in comment 4.

Comment 6 Fedora Update System 2019-03-25 03:48:47 UTC
xemacs-21.5.34-33.20190323hgc0ed7ef9a5a1.fc30, xemacs-packages-base-20180610-1.fc30, xemacs-packages-extra-20190315-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ff0e3b37c3

Comment 7 Fedora Update System 2019-03-29 19:19:57 UTC
xemacs-21.5.34-33.20190323hgc0ed7ef9a5a1.fc30, xemacs-packages-base-20180610-1.fc30, xemacs-packages-extra-20190315-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.